Git-Dch: ignore
Brown-paperbag: yes
Thanks: Donkult
{
if (!h->usable())
continue;
- std::string ByHashOutputFile = GenByHashFilename(Input, *h);
+ if (flNotDir(FileName) == "Release" || flNotDir(FileName) == "InRelease")
+ continue;
+ std::string ByHashOutputFile = GenByHashFilename(Input, *h);
std::string ByHashOutputDir = flNotFile(ByHashOutputFile);
if(!CreateDirectory(flNotFile(Input), ByHashOutputDir))
return _error->Warning("can not create dir %s", flNotFile(ByHashOutputFile).c_str());
--- /dev/null
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'unrelated' 'all' '0.5~squeeze1'
+insertsource 'unstable' 'unrelated' 'all' '0.5~squeeze1'
+
+setupaptarchive --no-update
+changetowebserver
+
+testsuccess aptget update -o Debug::Acquire::Auth=1